@import '../../assets/styles/variables.scss';

@mixin card {
    display: flex;
    flex-direction: row;
    flex-grow: 0;
    padding: 2.4rem;
    color: $primary-color;
    border-radius: 0.8rem;
    font-size: 1.6rem;
    font-weight: 700;
    width: 100%;
    max-width: 100%;
}

.todo-list-card{
    display: flex;
    flex-direction: column;
    padding: 2.4rem;
    padding-right: 1.6rem;
    border-radius: 0.8rem;
    flex-grow: 1;
    flex-shrink: 1;
    flex-basis: 100%;
    min-height: 0;
    height: 100%;
}
.scrollable{
    flex: 0 1 auto;
    align-content: start;
    overflow-y: hidden;
    overflow-x: hidden;
    max-width: calc(100% - 0.8rem);
    min-height: 0;
}
.todo{
    align-self: start;
}
.todo-card--red{
    @include card;
    background-color: #ffcece;
}
.todo-card--orange{
    @include card;
    background-color: #fdceae;
}
.todo-card--yellow{
    @include card;
    background-color: #ffffce;
}
.todo-card--green{
    @include card;
    background-color: #eaffec;
}

.scrollable:hover {
    overflow-y: auto;
    overflow-x: hidden;
  }
  
  .scrollable::-webkit-scrollbar-track {
    background-color: #dbdbdb;
    border-radius: 0.4rem;
  }
  
  .scrollable::-webkit-scrollbar {
    width: 0.8rem;
    // background-color: $primary-light-color;
    // border-radius: 0.4rem;
  }
  
  .scrollable::-webkit-scrollbar-thumb {
    background-color: $primary-light-color;
    border-radius: 0.4rem;
  }